      /* static viewport data copies (assembly speed) */
      /* created in VIEWREND.ASM, def'd in VIEWDATA.INC */

/*
 This code is part of the VR-386 project, created by Dave Stampe.
 VR-386 is a desendent of REND386, created by Dave Stampe and
 Bernie Roehl.  Almost all the code has been rewritten by Dave
 Stampre for VR-386.

 Copyright (c) 1994 by Dave Stampe:
 May be freely used to write software for release into the public domain
 or for educational use; all commercial endeavours MUST contact Dave Stampe
 (dstampe@psych.toronto.edu) for permission to incorporate any part of
 this software or source code into their products!  Usually there is no
 charge for under 50-100 items for low-cost or shareware products, and terms
 are reasonable.  Any royalties are used for development, so equipment is
 often acceptable payment.

 ATTRIBUTION:  If you use any part of this source code or the libraries
 in your projects, you must give attribution to VR-386 and Dave Stampe,
 and any other authors in your documentation, source code, and at startup
 of your program.  Let's keep the freeware ball rolling!

 DEVELOPMENT: VR-386 is a effort to develop the process started by
 REND386, improving programmer access by rewriting the code and supplying
 a standard API.  If you write improvements, add new functions rather
 than rewriting current functions.  This will make it possible to
 include you improved code in the next API release.  YOU can help advance
 VR-386.  Comments on the API are welcome.

 CONTACT: dstampe@psych.toronto.edu
*/


						     // unscaled w->c matrix
extern signed long  VS_fact1, VS_fact2, VS_fact3, VS_fact4,
	     VS_fact5, VS_fact6, VS_fact7, VS_fact8, VS_fact9;
						     // scaled w->c matrix
extern signed long  VS_sfac1, VS_sfac2, VS_sfac3, VS_sfac4,
	     VS_sfac5, VS_sfac6, VS_sfac7, VS_sfac8, VS_sfac9;

extern signed long  VS_iview_x, VS_iview_y, VS_iview_z;

extern long  VS_hither,VS_yon,VS_left,VS_right,VS_top,VS_bottom;
extern long  VS_hither4,VS_yon4,VS_left4,VS_right4,VS_top4,VS_bottom4; /* prescaled */

extern signed long VS_left_C, VS_left_M;     /* spherical object clip coefficients */
extern signed long VS_right_C, VS_right_M;
extern signed long VS_top_C, VS_top_M;
extern signed long VS_bot_C, VS_bot_M;

extern signed long VS_hsw, VS_hsh;		/* half screen width, height */
extern signed long VS_hsc, VS_vsc;		/* screen center with offset */

extern int VS_xshift, VS_yshift;      /* binary exponent factors */
extern signed long VS_sx,VS_sy;              /* screen scale mantissa */
extern signed long VS_scx,VS_scy;

extern int VS_orientation;		/* flipping for wierd displays */

extern int VS_view_flags;
